Bug 431980 - [RHEL5] Missing icons in Evolution 2.12
[RHEL5] Missing icons in Evolution 2.12
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: evolution (Show other bugs)
All Linux
low Severity low
: rc
: ---
Assigned To: Matthew Barnes
Depends On:
  Show dependency treegraph
Reported: 2008-02-08 03:13 EST by Christian Jung
Modified: 2008-05-21 11:19 EDT (History)
0 users

See Also:
Fixed In Version: RHBA-2008-0361
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-21 11:19:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Christian Jung 2008-02-08 03:13:49 EST
Description of problem:
In the toolbar of the "Create Task" and "Create Appointment" dialog, the icon
for "Click here to attach a file" is missing.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. click on File, New, Appointment
2. check the "Click here to attach a file" icon in the toolbar
Actual results:
missing icon

Expected results:
show correct icon

Additional info:
1) click on File, New, Task
2) check the toolbar
icon is also missing

Same for:
- new Meeting
- new all day appointment
- new assigned task
- new memo
- new shared memo
Comment 1 Christian Jung 2008-02-08 03:14:45 EST
error message on console:

(evolution:5799): e-utils-WARNING **: calling e_icon_factory_get_icon_filename
with unknown icon_size value (48)
new dimensions = (48,48)
we need to scale up
scale = 1
new dimensions = (48,48)
initial setting of an image.  no scaling
scale = 1
Comment 3 RHEL Product and Program Management 2008-02-08 09:47:09 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 4 Matthew Barnes 2008-02-08 09:51:20 EST
Changing summary to make this bug a catch-all for any missing icons.
Comment 5 Matthew Barnes 2008-02-08 12:10:17 EST
Fixed in evolution-2.12.3-5.el5.

The issue was caused by the fact that the Icon Naming Specification is an
evolving standard and Evolution tries to keep up with it by preferring standard
icon names as they become available over the older GNOME "stock" icons.

In the case of the attachment icon I had to fall back to the older GNOME "stock"
icon for RHEL5.

Feel free to add to the bug if you spot any other missing icons.
Comment 7 Christian Jung 2008-02-12 06:11:22 EST
In the "Send & Receive Mail" window, the Icon for the mailbox is also missing.

Reproduce: Click on "Send queued items and retrieve new items" box in the
toolbar. Or click File, Send & Receive.

Comment 8 Matthew Barnes 2008-02-12 10:51:35 EST
Thanks, fixed in evolution-2.12.3-7.el5.
Comment 10 Jonathan Blandford 2008-03-11 10:27:13 EDT
Matt, can we grep through the code to try to find the icon's we use and try to
flag the missing ones?
Comment 11 Tim Burke 2008-03-11 10:32:09 EDT
How can something labeled a low priority be proposed as a post-beta exception?
Comment 12 Matthew Barnes 2008-03-11 10:33:47 EDT
Pretty sure I've got 'em all now.  I've been sifting through dialogs and menus
looking for any stragglers.  I'll double check though.
Comment 13 Matthew Barnes 2008-03-11 10:37:29 EDT
(In reply to comment #11)
> How can something labeled a low priority be proposed as a post-beta exception?

The Priority and Severity fields in Bugzilla cannot be trusted as accurate since
anyone can change them.  I generally don't bother with them.
Comment 18 errata-xmlrpc 2008-05-21 11:19:05 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.